Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports C1.C1Preview
Imports System.Drawing.Imaging
Imports System.Collections
Imports C1.Win.C1List

Partial Public Class Form1
    Inherits Form
    Public Sub New()
        InitializeComponent()
    End Sub
    Private Sub Form1_Load(sender As Object, e As EventArgs)
        c1Report1.Load("../../CommonTasks.xml", "01: Alternating Background (Greenbar report)")
        c1Report1.Render()
        Dim pages As Integer = c1Report1.GetPageCount()
        c1Combo1.DataMode = C1.Win.C1List.DataModeEnum.AddItem
        c1Combo2.DataMode = C1.Win.C1List.DataModeEnum.AddItem
        c1List1.DataMode = C1.Win.C1List.DataModeEnum.AddItem
        c1List1.SelectionMode = C1.Win.C1List.SelectionModeEnum.CheckBox
        For i As Integer = 0 To (pages - 1)
            c1Combo1.AddItem((i + 1).ToString())
            c1Combo2.AddItem((i + 1).ToString())
            c1List1.AddItem((i + 1).ToString())
        Next
    End Sub
    Private Sub button1_Click(sender As Object, e As EventArgs)
        If Not (c1Combo2.SelectedIndex).Equals(-1) AndAlso Not (c1Combo1.SelectedIndex).Equals(-1) Then
            If Convert.ToInt32(c1Combo2.Text) < Convert.ToInt32(c1Combo1.Text) Then
                MessageBox.Show("End Page cannot be lower than Start Page")
            Else
                Dim fromPage As Integer = Convert.ToInt32(c1Combo1.Text)
                Dim toPage As Integer = Convert.ToInt32(c1Combo2.Text)
                Dim pageCount As Integer = toPage - fromPage
                Dim Pages As New ArrayList()
                For i As Integer = fromPage - 1 To (toPage - 1)
                    Pages.Add(c1Report1.GetPageImage(i))
                Next
                RenderPrintPreviewDialog(Pages)
            End If
        End If
    End Sub
    Private Sub button2_Click(sender As Object, e As EventArgs)
        If Not (c1List1.SelectedIndex).Equals(-1) Then
            Dim items As SelectedRowCollection = c1List1.SelectedIndices
            If items.Count > 0 Then
                Dim Pages As New ArrayList()
                For Each item As String In items
                    Pages.Add(c1Report1.GetPageImage(Convert.ToInt32(item)))
                Next
                RenderPrintPreviewDialog(Pages)
            Else
                MessageBox.Show("Please select atleast one item")
            End If
        End If
    End Sub

    Public Sub RenderPrintPreviewDialog(pages As ArrayList)
        Dim doc As New C1PrintDocument()
        doc.PageLayout.PageSettings.LeftMargin = "0.0in"
        doc.PageLayout.PageSettings.TopMargin = "0.0in"
        ''Add Page Images to C1PrintDocument

        For Each pageImage As Metafile In pages
            Dim renderImage As New RenderImage(pageImage)
            doc.Body.Children.Add(renderImage)
            doc.Reflow()
        Next
        c1PrintPreviewDialog1 = New C1.Win.C1Preview.C1PrintPreviewDialog()
        c1PrintPreviewDialog1.Width = 700
        c1PrintPreviewDialog1.Height = 700
        c1PrintPreviewDialog1.Show()
        c1PrintPreviewDialog1.Document = doc
    End Sub
End Class

